#if GTEST

// #include <gmock/gmock.h>
// not supported using Visual Studio 2022 compiler...
#include <gtest/gtest.h>

#include "Participants/ParticipantUDP.h"
#include "Thing.h"

using namespace RoboidControl;

TEST(RoboidControlSuite, HiddenParticipant) {
  Thing* thing = new Thing();

  unsigned long milliseconds = Thing::GetTimeMs();
  unsigned long startTime = milliseconds;
  while (milliseconds < startTime + 1000) {
    thing->Update();

    milliseconds = Thing::GetTimeMs();
  }
  SUCCEED();
}

TEST(RoboidControlSuite, IsolatedParticipant) {
  ParticipantUDP* participant = new ParticipantUDP(0);
  Thing* thing = new Thing();

  unsigned long milliseconds = Thing::GetTimeMs();
  unsigned long startTime = milliseconds;
  while (milliseconds < startTime + 1000) {
    participant->Update();

    milliseconds = Thing::GetTimeMs();
  }
  SUCCEED();
}

#endif
